<?php
require_once('../wu-engine/wu_init.php');
$page_name = 'Рейтинг';
$page_keys = 'рейтинг';
$page_desc = 'Ваш рейтинг';
$online_title = 'На странице просмотра рейтинга';
$online_url = '/account/rating';
//Рассчёт рейтинга
$reit = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid,rat FROM ".DB_PREFIX."_users WHERE uid='$u_id' LIMIT 1"));
$rating = number_format($reit['rat'],2,'.','');
$reit_max = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,ot FROM ".DB_PREFIX."_adm_rat ORDER BY pos DESC LIMIT 1"));
$rload = $rating*(100/$reit_max['ot']);
if ($rload > 100) { $rload = 100; }
if ($rating < 1*$reit_max['ot']/5) { $rcol = 'D65C4F'; $raic = ''; }
if ($rating >= 1*$reit_max['ot']/5 && $rating < 2*$reit_max['ot']/5) { $rcol = 'EEA966'; $raic = ''; }
if ($rating >= 2*$reit_max['ot']/5 && $rating < 3*$reit_max['ot']/5) { $rcol = 'BBC31C'; $raic = '2'; }
if ($rating >= 3*$reit_max['ot']/5 && $rating < 4*$reit_max['ot']/5) { $rcol = '91B554'; $raic = '2'; }
if ($rating >= 4*$reit_max['ot']/5) { $rcol = '65B688'; $raic = '3'; }
//Вывод рейтинга
$page_right = '<div class="header-statistics">
<div class="collapse" id="header-buttons">
<div class="well">
<ul class="statistics">
<li>
<div class="statistics-info">
<a style="background-color: #'.$rcol.'"><i class="icon-rating'.$raic.'"></i></a>
<strong>'.$rating.'</strong>
</div>
<div class="progress progress-micro">
<div class="progress-bar" style="background-color: #'.$rcol.';width: '.$rload.'%;" role="progressbar" aria-valuenow="'.$rload.'" aria-valuemin="0" aria-valuemax="100">
<span class="sr-only">Достигнуто '.$rload.'%</span>
</div>
</div>
<span>Ваш рейтинг</span>
</li>
</ul>
</div>
</div>
</div>';
include('../wu-engine/wu_header.php');
include('../wu-engine/wu_account_menu.php');
if(!USER_LOGGED) { header ("Location: /"); exit; }
?>

<div class="callout callout-info fade in">
<h5>Что даёт рейтинг?</h5>
<p>От рейтинга напрямую зависит ваш уровень дохода. Чем больше рейтинг, тем больше отчисления и больше возможностей.</p>
</div>

<div class="callout callout-info fade in">
<h5>Как увеличить рейтинг?</h5>
<p>Будьте активными на проекте. За каждую активность начисляется определённое количество рейтинга.</p>
</div>

<div class="callout callout-info fade in">
<h5>Текущие уровни</h5>
<p>
<?php
$qin = mysqli_query($connect_db, "SELECT id,ti,ot,do FROM ".DB_PREFIX."_adm_rat ORDER BY pos ASC");
while($rowi = mysqli_fetch_assoc($qin)) {
?>
<b><?php echo $rowi['ti']; ?></b> - рейтинг от <?php echo $rowi['ot']; ?> до <?php if ($rowi['do'] == 0) { echo 'бесконечности'; } else { echo $rowi['do']; } ?>
<br/>
<?php } ?>
</p>
</div>

<?php include('../wu-engine/wu_footer.php'); ?>